<template>
  <el-dialog
    class="addLineDialog"
    title="修改线路"
    :visible.sync="isShow"
    :close-on-click-modal="false"
    width="420px"
  >
    <el-form
      label-position="left"
      label-width="92px"
      ref="formLineInfo"
      :rules="rules"
      :model="formdata"
    >
      <!-- <el-form-item label="公司名称：" prop="bsManufacturer">
        <el-input
          v-model="formdata.bsManufacturer"
          autocomplete="off"
        ></el-input>
      </el-form-item> -->
      <el-form-item label="DY等级：" prop="dyLevelid">
        <el-select v-model="formdata.dyId" placeholder="请选择电压等级">
          <el-option
            v-for="items in dyOptions"
            :key="items.id"
            :label="items.name"
            :value="items.id"
          ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="线路名称：" prop="name">
        <el-input v-model="formdata.lineName" autocomplete="off"></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="isShow = false">取 消</el-button>
      <el-button type="primary" @click="submitForm()">确 定</el-button>
    </div>
  </el-dialog>
</template>
<script>
import {
  addLineJoggle,
  updateLineJoggle,
  getdyListJoggle,
} from "@/utils/api/index";

export default {
  props: {
    lineDialogTitle: String,
  },

  data() {
    return {
      isShow: false,
      formdata: {},
      dyOptions: "",
      rules: {
        // bsManufacturer: [
        //   { required: true, message: "请输入公司名称", trigger: "blur" },
        // ],
        dyId: [{ required: true, message: "请选择DY等级", trigger: "change" }],

        lineName: [
          {
            required: true,
            message: "请输入线路名称",
            trigger: "blur",
          },
        ],
      },
    };
  },
  methods: {
    //判断
    getdataform(val) {
      console.log(val);
      this.formdata = JSON.parse(JSON.stringify(val));
      //this.$set(this.formdata);
    },
    // 保存确定操作
    submitForm() {
      this.$refs.formLineInfo.validate((valid) => {
        if (valid) {
          // 走保存请求
          updateLineJoggle({
            id: this.formdata.lineId,
            // bsManufacturer: null,
            name: this.formdata.lineName,
            dyLevelid: this.formdata.dyId,
          })
            .then((res) => {
              this.isShow = false;
              //this.$message.success("修改成功");
              this.$message({
                duration: 1500,
                showClose: true,
                message: "修改成功",
                type: "success",
              });
              this.$parent.terminalList(); //刷新
            })
            .catch((err) => {
              this.$message({
                duration: 1500,
                showClose: true,
                message: "修改失败",
                type: "error",
              });
              //this.$message.error("修改失败");
            });
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
    display() {
      this.isShow = true;
    },
    hide() {
      this.isShow = false;
    },
  },

  created() {
    getdyListJoggle().then((res) => {
      console.log(res);
      this.dyOptions = res.data;
      console.log(this.dyOptions);
    });
  },
};
</script>
<style lang="less">
.addLineDialog {
  .el-select {
    width: 100%;
  }
}
</style>
